MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions | Variables
Internal.hxx File Reference
`#include "Source.hxx"`
`#include "SharedPipeConsumer.hxx"`
`#include "AudioFormat.hxx"`
`#include "filter/Observer.hxx"`
`#include "thread/Mutex.hxx"`
`#include "thread/Cond.hxx"`
`#include "thread/Thread.hxx"`
`#include "system/PeriodClock.hxx"`
`#include <exception>`
Include dependency graph for Internal.hxx:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | AudioOutput
struct | AudioOutput::Request
| Additional data for command. More...

## Functions
AudioOutput * | audio_output_new (EventLoop &event_loop, const ReplayGainConfig &replay_gain_config, const ConfigBlock &block, MixerListener &mixer_listener, AudioOutputClient &client)
| Throws #std::runtime_error on error. More...
void | audio_output_free (AudioOutput *ao)

## Variables
struct notify | audio_output_client_notify
| Notify object used by the thread's client, i.e. More...

## Function Documentation

void audio_output_free | ( | AudioOutput * | ao | ) |

AudioOutput* audio_output_new | ( | EventLoop & | event_loop,
|  | const ReplayGainConfig & | replay_gain_config,
|  | const ConfigBlock & | block,
|  | MixerListener & | mixer_listener,
|  | AudioOutputClient & | client
| ) |  |

Throws #std::runtime_error on error.

## Variable Documentation

struct notify audio_output_client_notify

Notify object used by the thread's client, i.e.

we will send a notify signal to this object, expecting the caller to wait on it.